Results 1 to 8 of 8

Thread: VLC showing errors after an update

  1. #1
    Join Date
    Feb 2013
    Beans
    24

    VLC showing errors after an update

    After an update, when I run VLC on Ubuntu 18.04 (64 bit) I see these errors:


    Code:
    libGL error: No matching fbConfigs or visuals found
    libGL error: failed to load driver: swrast
    Error: couldn't find RGB GLX visual or fbconfig
    VLC media player 3.0.8 Vetinari (revision 3.0.8-0-gf350b6b)
    
    [...]
    
    [00007f1be4aeb280] glx gl error: cannot choose GLX frame buffer configurations
    This happens with both "snap" and system versions of VLC. All other video-playing apps work fine (mplayer, Videos, Chrome)


    I'm using Nvidia drivers though (from PPA). What can I do to fix this?

    I asked in a VLC forum already, and was told that "Mesa tries to use the software rasterizer and fails. Your GL driver is not installed properly. "



  2. #2
    Join Date
    May 2013
    Location
    Galiza
    Beans
    476
    Distro
    Ubuntu

    Re: VLC showing errors after an update

    At first glance this information
    Mesa tries to use the software rasterizer and fails. Your GL driver is not installed properly.
    seems correct, or at least very plausible.

    What are your Nvidia graphics card model and proprietary drivers version? Also how exactly have you installed those drivers and have you disabled Secure Boot in UEFI?

  3. #3
    Join Date
    Feb 2013
    Beans
    24

    Re: VLC showing errors after an update

    Quote Originally Posted by CelticWarrior View Post
    At first glance this information seems correct, or at least very plausible.
    mplayer, Videos and Chrome play videos without any issues though...

    VLC can only play them in smallish windows (original resolution), but shows a black screen when maximized or in full-screen mode (4K)

    I had the same hardware for 5 years, and never had this issue.

    What are your Nvidia graphics card model and proprietary drivers version?
    NVIDIA GTX 750

    Code:
    nvidia-driver-440                440.33.01-0ubuntu1       amd64        NVIDIA driver metapackage

    Also how exactly have you installed those drivers
    Code:
    deb http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64 /
    in
    Code:
    /etc/apt/sources.list.d/cuda.list
    and have you disabled Secure Boot in UEFI?
    I don't recall doing that. It's not convenient to check at the moment.

  4. #4
    Join Date
    May 2013
    Location
    Galiza
    Beans
    476
    Distro
    Ubuntu

    Re: VLC showing errors after an update

    If you don't disable Secure Boot the proprietary drivers won't be used even if installed.

  5. #5
    Join Date
    Feb 2013
    Beans
    24

    Re: VLC showing errors after an update

    Quote Originally Posted by maxbb View Post
    After an update, when I run VLC on Ubuntu 18.04 (64 bit) I see these errors:
    ... It might be that it was showing these errors before also, but it stopped working (when maximized) after I updated the Nvidia drivers (from 3XX to 440) and many other things with a "dist-upgrade"

  6. #6
    Join Date
    Feb 2013
    Beans
    24

    Re: VLC showing errors after an update

    Quote Originally Posted by CelticWarrior View Post
    If you don't disable Secure Boot the proprietary drivers won't be used even if installed.
    I must have disabled it then (or maybe my motherboard doesn't have it). I've been using Nvidia drivers on this machine for 5 years.

  7. #7
    Join Date
    Feb 2013
    Beans
    24

    Re: VLC showing errors after an update

    Update:

    Can this be the cause of the problems?

    /usr/lib/x86_64-linux-gnu/libGL.so.1

    exists and belongs to libgl1 (vendor-neutral library), BUT libnvidia-gl-440 only includes these libraries

    /usr/lib/x86_64-linux-gnu/libEGL_nvidia.so.0
    /usr/lib/x86_64-linux-gnu/libGLESv1_CM_nvidia.so.1
    /usr/lib/x86_64-linux-gnu/libGLESv2_nvidia.so.2
    /usr/lib/x86_64-linux-gnu/libGLX_nvidia.so.0
    /usr/lib/x86_64-linux-gnu/libnvoptix.so.1
    /usr/lib/x86_64-linux-gnu/nvidia-440/xorg/libglxserver_nvidia.so


    (no libGL.so)

  8. #8
    Join Date
    Feb 2013
    Beans
    24

    Re: VLC showing errors after an update

    Looks like this has been fixed. (The version in `snap` is still broken) Both are 3.0.8

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •